Subject: Re: cygwin and long filenames with spaces
From: Chris Game <[email-masked]>
To: [email-masked]
Date: Fri, 9 Aug 2002 09:59:41 +0100
Newsgroups: gmane.os.cygwin

In an earlier post, Christopher Faylor said...

> You're doing it from bash.  I assumed that the person was having
> problems from the command shell since they said "MS-Windows".  But,
> on reflection, there is no guarantee that's the case here.  Not enough
> info.

I think I said 'bash' in the OP.
 
> When there is a UNIX shell involved the quoting rules follow whatever
> the UNIX shell uses (as you know).  When there is no UNIX shell involved
> then cygwin itself tries to do something halfway intelligent with the
> arguments.
> 
> Anyway, with luck, one of our responses should have answered the
> question.

Ha! (Sorry!) 
Well, 'ls "/cygdrive/c/Program Files" ' works but 'cd 
"/cygdrive/c/Program Files" '  doesn't! The message comes back:
bash: cd: /cygdrive/c/Program: No such file or directory

C.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/